QScintilla: QsciLexerBatch Class Reference

# QsciLexerBatch Class Reference

The QsciLexerBatch class encapsulates the Scintilla batch file lexer. More...

`#include <qscilexerbatch.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Comment = 1, Keyword = 2,
  Label = 3, HideCommandChar = 4, ExternalCommand = 5,
  Variable = 6, Operator = 7
  }

## Public Member Functions

- QsciLexerBatch (QObject *parent=0)
- virtual ~QsciLexerBatch ()
- const char * language () const
- const char * lexer () const
- const char * wordCharacters () const
- bool caseSensitive () const
- QColor defaultColor (int style) const
- bool defaultEolFill (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- const char * keywords (int set) const
- QString description (int style) const

## Detailed Description

The QsciLexerBatch class encapsulates the Scintilla batch file lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the batch file lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  Keyword | A keyword.
  Label | A label.
  HideCommandChar | An hide command character.
  ExternalCommand | An external command .
  Variable | A variable.
  Operator | An operator.

## Constructor & Destructor Documentation

QsciLexerBatch::QsciLexerBatch | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerBatch with parent parent. parent is typically the QsciScintilla instance.

virtual QsciLexerBatch::~QsciLexerBatch | ( |  | ) | `[virtual]`

Destroys the QsciLexerBatch instance.

## Member Function Documentation

const char* QsciLexerBatch::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QsciLexer.

const char* QsciLexerBatch::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QsciLexer.

QColor QsciLexerBatch::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexer.

bool QsciLexerBatch::defaultEolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QsciLexer.

QFont QsciLexerBatch::defaultFont | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QsciLexer.

QColor QsciLexerBatch::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexer.

const char* QsciLexerBatch::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

QString QsciLexerBatch::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.